Bug 75249 - Serial port broken in 2.4.18
Serial port broken in 2.4.18
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 21:15 EDT by Jørgen Thomsen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jørgen Thomsen 2002-10-05 21:15:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
2.4.18-10 breaks the connection to mobile phone (Nokia 5110)
A modem connectted to the port, however, is working OK
I am using the mygnokii software

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. gnokii --identify 
 (on both ttyS0, ttyS0 as well as ttyS4 and ttyS5 on add-in card)
	

Actual Results:  The gnokii program just hangs
No connection to the phone is possible with any command
This happpens on RH 7.2 as well as a fresh upgrade to RH 7.3

Expected Results:  Immediate display of phone information

Additional info:

I thought the problem was due to a new mainboard on another server, but as I 
just upgraded the kernel in my RedHat 7.2 on the old server and experienced the 
same thing. I realized, that it is a kernel problem. Falling back and reloading 
the old kernel made the phone connection reappear.
My business depends on the connection working!
Comment 1 Jørgen Thomsen 2002-10-05 22:17:31 EDT
2.4.9-31 (i586) on old server and 2.4.9-34 (i686) on new server is working.
'ttyS0, ttyS0' should 
be 'ttyS0, ttyS1'
Comment 2 Bugzilla owner 2004-09-30 11:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.